﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 268xA Send Command RS-232
INSTRUMENT:            Sub Fluke 268xA Query Measurement RS-232
INSTRUMENT:            Sub Fluke 268xA Query Response RS-232
INSTRUMENT:            Sub Fluke 268xA Self Test RS-232
DATE:                  2011-04-20 11:50:12
AUTHOR:                Fluke
REVISION:              $Revision: 8204 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       5
NUMBER OF LINES:       158
=============================================================================
#
#  Procedure Author:
#        ZY, VY
#
#  Model(s) Covered:
#        2680A, 2686A
#
#  Source:
#        268XA Data Acquisition System/Data Logging System Service Manual
#        Document Number: PN 1883791, November 2002
#
#  Compatibility:
#        MET/CAL or 5500/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
# Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         SEND_COMMAND               PSUBI("Send Command")
  1.002  JMPL         QUERY_MEASUREMENT          PSUBI("Query Measurement")
  1.003  JMPL         QUERY_RESPONSE             PSUBI("Query Response")
  1.004  JMPL         SELF_TEST                  PSUBI("Self Test")
  1.005  DISP         Error Fluke 268xA Utilities:  Subprocedure not found!
  1.006  END

  1.007  EVAL   Increment step number

# ====== Sub Fluke 268xA Send Command =====================================

  2.001  LABEL        SEND_COMMAND

  2.002  DO
  2.003  PORT         [V @UUTCommand][D50]
# Read acknowledge response.
  2.004  PORT         [T50000][I$]
  2.005  CALL         Sub Fluke 268xA Check Acknowledge Response

  2.006  IF           @Abort
  2.007  OPBR         -z Do you wish to retry?
  2.008  MATH         LoopAgain = MEM1
  2.009  ELSE
  2.010  MATH         LoopAgain = 0
  2.011  ENDIF

  2.012  UNTIL        NOT(LoopAgain)

  2.013  END

  2.014  EVAL   Increment step number

# ====== Sub Fluke 268xA Query Measurement ================================

  3.001  LABEL        QUERY_MEASUREMENT

# backup MEM1 for it stands for the nominal of test.
  3.002  MATH         BackupMEM1 = MEM1

  3.003  DO
  3.004  PORT         [T30000][V @QueryCommand][I]
  3.005  PORT         [T30000][I$]
  3.006  CALL         Sub Fluke 268xA Check Acknowledge Response

  3.007  IF           @Abort
  3.008  OPBR         -z Do you wish to retry?
  3.009  MATH         LoopAgain = MEM1
  3.010  ELSE
  3.011  MATH         LoopAgain = 0
  3.012  ENDIF

  3.013  UNTIL        NOT(LoopAgain)

# Restore MEM1.
  3.014  MATH         MEM1 = BackupMEM1
  3.015  END

  3.016  EVAL   Increment step number

# ====== Sub Fluke 268xA Query Response RS-232 ==========================

  4.001  LABEL        QUERY_RESPONSE
  4.002  DO
  4.003  PORT         [T50000][V @QueryCommand][I$]
  4.004  MATH         @Response = MEM2
  4.005  PORT         [T30000][I$]
  4.006  CALL         Sub Fluke 268xA Check Acknowledge Response

  4.007  IF           @Abort
  4.008  OPBR         -z Do you wish to retry?
  4.009  MATH         LoopAgain = MEM1
  4.010  ELSE
  4.011  MATH         LoopAgain = 0
  4.012  MATH         MEM2 = @Response
  4.013  ENDIF

  4.014  UNTIL        NOT(LoopAgain)

  4.015  END

  4.016  EVAL   Increment step number

# =====  Sub Fluke 268xA Self Test RS-232 ===================================

  5.001  LABEL        SELF_TEST
  5.002  HEAD         SELF TEST
  5.003  MATH         ModuleNum = NOT(ZCMPI(@Slot1Type, "None"))
  5.004  MATH         ModuleNum = ModuleNum + NOT(ZCMPI(@Slot2Type, "None"))
  5.005  MATH         ModuleNum = ModuleNum + NOT(ZCMPI(@Slot3Type, "None"))
  5.006  MATH         ModuleNum = ModuleNum + NOT(ZCMPI(@Slot4Type, "None"))
  5.007  MATH         ModuleNum = ModuleNum + NOT(ZCMPI(@Slot5Type, "None"))
  5.008  MATH         ModuleNum = ModuleNum + NOT(ZCMPI(@Slot6Type, "None"))
  5.009  MATH         SelfTestTime = ModuleNum * 7
  5.010  PORT         *TST?
  5.011  WAIT         -t [V SelfTestTime] Performing UUT self test...
  5.012  PORT         [T100000][I$]
  5.013  MATH         SelfTestResult = MEM2
  5.014  PORT         [T30000][I$]
  5.015  CALL         Sub Fluke 268xA Check Acknowledge Response

  5.016  IF           NOT(@Abort)
  5.017  MATH         @Abort = NOT(ZCMPI(SelfTestResult, "0,0"))
  5.018  ENDIF

  5.019  END
